{{ define "main" }}

<section class="Section" id="replaceWithJobs">
	{{.Content}}
</section>

<section class="Section">
	<job-card></job-card>
</section>

<section class="Section">
	<button-group right>
		<job-delete class="Button"></job-delete>
		<job-publish class="Button"></job-publish>
	</button-group>
</section>

<section class="Section">
	<job-edit quiet="true"></job-edit>
</section>

<script>
	const urlParams = new URLSearchParams(window.location.search)
	const jobId = urlParams.get('id')
	let $targetToClear = document.querySelector('#replaceWithJobs')

	if (jobId) {
		$targetToClear ? $targetToClear.remove() : ''

		const targets = ['job-card', 'job-edit', 'job-delete', 'job-publish']
		targets.forEach(target => {
			const $els = document.querySelectorAll(target)
			$els.forEach($el => {
				$el.setAttribute('job-id', jobId)
			})
		})
	}
</script>

{{ end }}
